Description

This patch is pretty simple, it continues the work that has been done to add Issue Queries in My Page blocks.

It does the same for Time Entry queries, with very few modifications.

Time Entry block has been renamed Time Entry Activity

Please review it.

Thanks a lot.

History

#1 - 2019-04-20 01:43 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2019-04-24 00:32 - Jérôme BATAILLE

Hi Go,

Thanks to have set this issue as a candidate.

#3 - 2019-04-24 00:34 - Jérôme BATAILLE

- File my_page_time_entry_queries_SVN.diff added

- File my_page_time_entry_queries.diff added

Link to Time Entry query fixed in this patch

#4 - 2019-05-03 01:13 - Jérôme BATAILLE

- File my_page_time_entry_queries_icons_SVN.diff added

- File my_page_queries_icons.png added

Hi,

We can add icons in the block name. Here is a patch to do that.

Needs to add css for new calendar icon somewhere :

.icon-calendar { background-image: url(../../images/calendar.png); }

 It looks like this :
my_page_queries_icons.png 

#5 - 2019-11-13 00:12 - Jérôme BATAILLE

Hi, I am currently testing a plugin that brings this feature.

#6 - 2019-11-13 00:15 - Jérôme BATAILLE

I will also provide in this plugin Time Report Queries

#7 - 2019-11-15 00:50 - Jérôme BATAILLE

- Status changed from New to Resolved
Hi, the plugin has been published :

http://www.redmine.org/plugins/redmine_queries_for_time_report

So I close this issue.

Files

my_page_time_entry_queries_SVN.diff 7.05 KB 2019-04-18 Jérôme BATAILLE

my_page_time_entry_queries_SVN.diff 7.05 KB 2019-04-23 Jérôme BATAILLE

my_page_time_entry_queries.diff 9.5 KB 2019-04-23 Jérôme BATAILLE

my_page_time_entry_queries_icons_SVN.diff 2.9 KB 2019-05-02 Jérôme BATAILLE

my_page_queries_icons.png 111 KB 2019-05-02 Jérôme BATAILLE
